visrec.ri

## Class BufferedImageImageFactory

- java.lang.Object
- - visrec.ri.BufferedImageImageFactory

All Implemented Interfaces:
  javax.visrec.ImageFactory<BufferedImage>

    public class BufferedImageImageFactory
    extends Object
    implements javax.visrec.ImageFactory<BufferedImage>

`ImageFactory` to provide `BufferedImage` as return object.

Author:
  Kevin Berendsen

### Constructor Summary

Constructors
Constructor and Description
`BufferedImageImageFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BufferedImage` `getImage(File file)`
`BufferedImage` `getImage(InputStream file)`
`BufferedImage` `getImage(URL file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferedImageImageFactory

    public BufferedImageImageFactory()

### Method Detail

#### getImage

    public BufferedImage getImage(File file)
                           throws IOException

Specified by:
  `getImage` in interface `javax.visrec.ImageFactory<BufferedImage>`
Throws:
  `IOException`

#### getImage

    public BufferedImage getImage(URL file)
                           throws IOException

Specified by:
  `getImage` in interface `javax.visrec.ImageFactory<BufferedImage>`
Throws:
  `IOException`

#### getImage

    public BufferedImage getImage(InputStream file)
                           throws IOException

Specified by:
  `getImage` in interface `javax.visrec.ImageFactory<BufferedImage>`
Throws:
  `IOException`